[Assassin Class Transfer]:
In order to become an Abyss Walker, the player must successfully complete three quests. The Trial of the Seeker may be undertaken by a player of level 35 or above. This quest begins by meeting with Master Dufner of Giran Castle Town. The Testimony of Fate may be undertaken by a player of level 37 or above. This quest begins by meeting with Magister Kaira of Giran Castle Town. Finally, the Test of the Searcher may be undertaken by a player of level 39 or above. This quest begins by meeting with Master Luther of Hunters Village.
Return
Close Window